<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<title>documentation/info_segments/send_message_.info</title>
<meta name="Generator" content="Vim/9.1">
<meta name="plugin-version" content="vim9.0_v2">
<meta name="syntax" content="none">
<meta name="settings" content="number_lines,use_css,no_foldcolumn,expand_tabs,line_ids,pre_wrap,prevent_copy=,use_input_for_pc=none">
<meta name="colorscheme" content="PaperColor">
<style>
<!--
pre { white-space: pre-wrap; font-family: monospace; color: #d0d0d0; background-color: #000000; }
body { font-family: monospace; color: #d0d0d0; background-color: #000000; }
* { font-size: 1em; }
.textRainbow_lv1_p0 { color: #ffffe0; }
.textRainbow_lv0_o0 { color: #add8e6; }
.textRainbow_lv0_p0 { color: #add8e6; }
.LineNr { color: #585858; }
-->
</style>

<script>
<!--

/* function to open any folds containing a jumped-to line before jumping to it */
function JumpToLine()
{
  var lineNum;
  lineNum = window.location.hash;
  lineNum = lineNum.substr(1); /* strip off '#' */

  if (lineNum.indexOf('L') == -1) {
    lineNum = 'L'+lineNum;
  }
  var lineElem = document.getElementById(lineNum);
  /* Always jump to new location even if the line was hidden inside a fold, or
   * we corrected the raw number to a line ID.
   */
  if (lineElem) {
    lineElem.scrollIntoView(true);
  }
  return true;
}
if ('onhashchange' in window) {
  window.onhashchange = JumpToLine;
}

-->
</script>
</head>
<body onload='JumpToLine();'>
<pre id='vimCodeElement'>
<span id="L1" class="LineNr">  1 </span>02/06/84  send_message_
<span id="L2" class="LineNr">  2 </span>
<span id="L3" class="LineNr">  3 </span>
<span id="L4" class="LineNr">  4 </span>Entry points in send_message_:
<span id="L5" class="LineNr">  5 </span>   <span class="textRainbow_lv0_p0">(</span>List is generated by the help command<span class="textRainbow_lv0_p0">)</span>
<span id="L6" class="LineNr">  6 </span>
<span id="L7" class="LineNr">  7 </span>
<span id="L8" class="LineNr">  8 </span>:Entry: send_message_: 02/06/84  send_message_
<span id="L9" class="LineNr">  9 </span>
<span id="L10" class="LineNr"> 10 </span>Function: sends an interactive message to be received by the message
<span id="L11" class="LineNr"> 11 </span>facility.  If the recipient is not currently accepting messages, the
<span id="L12" class="LineNr"> 12 </span>message is added to that user's mailbox.
<span id="L13" class="LineNr"> 13 </span>
<span id="L14" class="LineNr"> 14 </span>
<span id="L15" class="LineNr"> 15 </span>Syntax:
<span id="L16" class="LineNr"> 16 </span>declare send_message_ entry <span class="textRainbow_lv0_p0">(</span>char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> fixed bin<span class="textRainbow_lv1_p0">(</span>35<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L17" class="LineNr"> 17 </span>call send_message_ <span class="textRainbow_lv0_p0">(</span>person<span class="textRainbow_lv0_o0">,</span> project<span class="textRainbow_lv0_o0">,</span> message<span class="textRainbow_lv0_o0">,</span> code<span class="textRainbow_lv0_p0">)</span>;
<span id="L18" class="LineNr"> 18 </span>
<span id="L19" class="LineNr"> 19 </span>
<span id="L20" class="LineNr"> 20 </span>Arguments:
<span id="L21" class="LineNr"> 21 </span>person
<span id="L22" class="LineNr"> 22 </span>   is the registered Person_id of the recipient.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L23" class="LineNr"> 23 </span>project
<span id="L24" class="LineNr"> 24 </span>   is a Project_id on which the recipient is registered.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L25" class="LineNr"> 25 </span>message
<span id="L26" class="LineNr"> 26 </span>   is the text of the message to be sent.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L27" class="LineNr"> 27 </span>
<span id="L28" class="LineNr"> 28 </span>
<span id="L29" class="LineNr"> 29 </span>code
<span id="L30" class="LineNr"> 30 </span>   is a standard status code.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span> It can be one of the following:
<span id="L31" class="LineNr"> 31 </span>   error_table_$messages_deferred
<span id="L32" class="LineNr"> 32 </span>      recipient is deferring messages.  The message is added to his
<span id="L33" class="LineNr"> 33 </span>      mailbox, but the recipient will not receive it immediately.
<span id="L34" class="LineNr"> 34 </span>   error_table_$messages_off
<span id="L35" class="LineNr"> 35 </span>      recipient is not logged in or not accepting messages.  The
<span id="L36" class="LineNr"> 36 </span>      message is added to his mailbox, but the recipient will not
<span id="L37" class="LineNr"> 37 </span>      receive it immediately.
<span id="L38" class="LineNr"> 38 </span>   error_table_$noentry
<span id="L39" class="LineNr"> 39 </span>      no mailbox for the specified recipient.
<span id="L40" class="LineNr"> 40 </span>
<span id="L41" class="LineNr"> 41 </span>
<span id="L42" class="LineNr"> 42 </span>   error_table_$no_append
<span id="L43" class="LineNr"> 43 </span>      insufficient access to add a message to the recipient's mailbox.
<span id="L44" class="LineNr"> 44 </span>   error_table_$wakeup_denied
<span id="L45" class="LineNr"> 45 </span>      insufficient access to send the message interactively; the
<span id="L46" class="LineNr"> 46 </span>      message is added to the recipient's mailbox.
<span id="L47" class="LineNr"> 47 </span>   error_table_$no_info
<span id="L48" class="LineNr"> 48 </span>      access class restrictions prevent the sender from finding out
<span id="L49" class="LineNr"> 49 </span>      whether the message was sent.
<span id="L50" class="LineNr"> 50 </span>
<span id="L51" class="LineNr"> 51 </span>
<span id="L52" class="LineNr"> 52 </span>Notes:  The pathname of the mailbox sent to is
<span id="L53" class="LineNr"> 53 </span>&gt;udd&gt;Project_id&gt;Person_id&gt;Person_id.mbx.
<span id="L54" class="LineNr"> 54 </span>
<span id="L55" class="LineNr"> 55 </span>
<span id="L56" class="LineNr"> 56 </span>
<span id="L57" class="LineNr"> 57 </span>:Entry:  acknowledge:  02/06/84 send_message_$acknowledge
<span id="L58" class="LineNr"> 58 </span>
<span id="L59" class="LineNr"> 59 </span>
<span id="L60" class="LineNr"> 60 </span>Function:  This entry point sends a message to be acknowledged when
<span id="L61" class="LineNr"> 61 </span>read by the recipient.
<span id="L62" class="LineNr"> 62 </span>
<span id="L63" class="LineNr"> 63 </span>
<span id="L64" class="LineNr"> 64 </span>Syntax:
<span id="L65" class="LineNr"> 65 </span>declare send_message_$acknowledge entry <span class="textRainbow_lv0_p0">(</span>char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span>
<span id="L66" class="LineNr"> 66 </span>     fixed bin<span class="textRainbow_lv1_p0">(</span>35<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L67" class="LineNr"> 67 </span>call send_message_$acknowledge <span class="textRainbow_lv0_p0">(</span>person<span class="textRainbow_lv0_o0">,</span> project<span class="textRainbow_lv0_o0">,</span> message<span class="textRainbow_lv0_o0">,</span> code<span class="textRainbow_lv0_p0">)</span>;
<span id="L68" class="LineNr"> 68 </span>
<span id="L69" class="LineNr"> 69 </span>
<span id="L70" class="LineNr"> 70 </span>Arguments:
<span id="L71" class="LineNr"> 71 </span>person
<span id="L72" class="LineNr"> 72 </span>   is the registered Person_id of the recipient.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L73" class="LineNr"> 73 </span>project
<span id="L74" class="LineNr"> 74 </span>   is a Project_id on which the recipient is registered.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L75" class="LineNr"> 75 </span>message
<span id="L76" class="LineNr"> 76 </span>   is the text of the message to be sent.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L77" class="LineNr"> 77 </span>code
<span id="L78" class="LineNr"> 78 </span>   is a standard status code.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L79" class="LineNr"> 79 </span>
<span id="L80" class="LineNr"> 80 </span>
<span id="L81" class="LineNr"> 81 </span>Notes: The acknowledgement is an interactive message of the form
<span id="L82" class="LineNr"> 82 </span>&quot;Acknowledged&quot; if the message is printed immediately by the recipient,
<span id="L83" class="LineNr"> 83 </span>or &quot;Acknowledge message of &lt;time&gt;&quot; if printed later.
<span id="L84" class="LineNr"> 84 </span>
<span id="L85" class="LineNr"> 85 </span>
<span id="L86" class="LineNr"> 86 </span>:Entry:  express:  02/06/84 send_message_$express
<span id="L87" class="LineNr"> 87 </span>
<span id="L88" class="LineNr"> 88 </span>
<span id="L89" class="LineNr"> 89 </span>Function: sends a message only if the recipient is logged in and
<span id="L90" class="LineNr"> 90 </span>accepting interactive messages by means of the accept_messages
<span id="L91" class="LineNr"> 91 </span>command.  If the message cannot be sent interactively, it is not added
<span id="L92" class="LineNr"> 92 </span>to the recipient's mailbox.
<span id="L93" class="LineNr"> 93 </span>
<span id="L94" class="LineNr"> 94 </span>
<span id="L95" class="LineNr"> 95 </span>Syntax:
<span id="L96" class="LineNr"> 96 </span>declare send_message_$express entry <span class="textRainbow_lv0_p0">(</span>char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span>
<span id="L97" class="LineNr"> 97 </span>     fixed bin<span class="textRainbow_lv1_p0">(</span>35<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L98" class="LineNr"> 98 </span>call send_message_$express <span class="textRainbow_lv0_p0">(</span>person<span class="textRainbow_lv0_o0">,</span> project<span class="textRainbow_lv0_o0">,</span> message<span class="textRainbow_lv0_o0">,</span> code<span class="textRainbow_lv0_p0">)</span>;
<span id="L99" class="LineNr"> 99 </span>
<span id="L100" class="LineNr">100 </span>
<span id="L101" class="LineNr">101 </span>Arguments:
<span id="L102" class="LineNr">102 </span>person
<span id="L103" class="LineNr">103 </span>   is the registered Person_id of the recipient.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L104" class="LineNr">104 </span>project
<span id="L105" class="LineNr">105 </span>   is a Project_id on which the recipient is registered.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L106" class="LineNr">106 </span>message
<span id="L107" class="LineNr">107 </span>   is the text of the message to be sent.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L108" class="LineNr">108 </span>code
<span id="L109" class="LineNr">109 </span>   is a standard status code.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L110" class="LineNr">110 </span>
<span id="L111" class="LineNr">111 </span>
<span id="L112" class="LineNr">112 </span>:Entry:  notify_mail:  02/06/84 send_message_$notify_mail
<span id="L113" class="LineNr">113 </span>
<span id="L114" class="LineNr">114 </span>
<span id="L115" class="LineNr">115 </span>Function: sends a mail notification if the recipient is currently
<span id="L116" class="LineNr">116 </span>accepting interactive messages.  The mail notification needs to be
<span id="L117" class="LineNr">117 </span>decoded by the message facility <span class="textRainbow_lv0_p0">(</span>accept_messages<span class="textRainbow_lv0_p0">)</span>, which prints either
<span id="L118" class="LineNr">118 </span>&quot;You have mail from Person_id.Project_id&quot; or, for a mailbox other than
<span id="L119" class="LineNr">119 </span>the default one, &quot;You have mail from Person_id.Project_id in &lt;path&gt;&quot;.
<span id="L120" class="LineNr">120 </span>
<span id="L121" class="LineNr">121 </span>
<span id="L122" class="LineNr">122 </span>Syntax:
<span id="L123" class="LineNr">123 </span>declare send_message_$notify_mail entry <span class="textRainbow_lv0_p0">(</span>char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span>
<span id="L124" class="LineNr">124 </span>     fixed bin<span class="textRainbow_lv1_p0">(</span>35<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L125" class="LineNr">125 </span>call send_message_$notify_mail <span class="textRainbow_lv0_p0">(</span>person<span class="textRainbow_lv0_o0">,</span> project<span class="textRainbow_lv0_o0">,</span> code<span class="textRainbow_lv0_p0">)</span>;
<span id="L126" class="LineNr">126 </span>
<span id="L127" class="LineNr">127 </span>
<span id="L128" class="LineNr">128 </span>Arguments:
<span id="L129" class="LineNr">129 </span>person
<span id="L130" class="LineNr">130 </span>   is the registered Person_id of the recipient.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L131" class="LineNr">131 </span>project
<span id="L132" class="LineNr">132 </span>   is a Project_id on which the recipient is registered.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L133" class="LineNr">133 </span>code
<span id="L134" class="LineNr">134 </span>   is a standard status code.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
</pre>
<script defer src='https://static.cloudflareinsights.com/beacon.min.js' data-cf-beacon='{"token": "4b6a131644014aa29fd88953508c3a3d"}'></script></body>
</html>
<!-- vim: set foldmethod=manual : -->
